Skip to content

Get one inbound request (headers + body)

GET
/v1/requests/{id}

The full captured request — headers and body (claim-check resolved if it was spilled to storage).

Authorizations

apiKey

Scoped API key. Scopes are readwriteadmin. A call needing more scope than the key holds returns 403 insufficient_scope.

Type
HTTP (bearer)

Parameters

Path Parameters

id*
Type
string
Required

Responses

The inbound request with headers + body.

application/json
JSON
{
  
"request_id": "01JX9ABCDDEF0123456789ABCD",
  
"endpoint_id": "ep_01JX9",
  
"receive_url": "https://wh.emhk.in/acme/shopify-store/orders",
  
"host": "wh.emhk.in",
  
"method": "POST",
  
"path": "orders",
  
"size_bytes": 842,
  
"verdict": {
  
  
"scheme": "generic-hmac",
  
  
"result": "pass"
  
},
  
"outcome": "accepted",
  
"source_ip": "203.0.113.7",
  
"received_at": "string",
  
"headers": {
  
  
"additionalProperties": "string"
  
},
  
"body": "string"
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Emithook · a Finnoto product